updates for release

Original commit message from CVS:
updates for release
parent 3b51d4e1
......@@ -9,15 +9,15 @@ AM_CONFIG_HEADER(config.h)
GST_VERSION_MAJOR=0
GST_VERSION_MINOR=3
GST_VERSION_MICRO=1
GST_VERSION_MICRO=2
dnl we use a datestamped release tag and a fourth version ".1" number
dnl during CVS development
GST_VERSION_RELEASE=`date +%Y%m%d`
GST_VERSION=$GST_VERSION_MAJOR.$GST_VERSION_MINOR.$GST_VERSION_MICRO.3
dnl GST_VERSION_RELEASE=`date +%Y%m%d`
dnl GST_VERSION=$GST_VERSION_MAJOR.$GST_VERSION_MINOR.$GST_VERSION_MICRO.3
dnl we use a normal release tag increased manually when releasing
dnl GST_VERSION_RELEASE=1
dnl GST_VERSION=$GST_VERSION_MAJOR.$GST_VERSION_MINOR.$GST_VERSION_MICRO
GST_VERSION_RELEASE=1
GST_VERSION=$GST_VERSION_MAJOR.$GST_VERSION_MINOR.$GST_VERSION_MICRO
PACKAGE=gst-plugins
VERSION=$GST_VERSION
......@@ -423,9 +423,9 @@ dnl *** Gnome VFS ***
dnl this check uses the GST_CHECK_CONFIGPROG macro with gnome-config vfs
translit(dnm, m, l) AM_CONDITIONAL(USE_GNOME_VFS, true)
GST_CHECK_FEATURE(GNOME_VFS, [Gnome VFS], gnomevfssrc, [
translit(dnm, m, l) AC_SUBST(GNOME_VFS_LIBS)
translit(dnm, m, l) AC_SUBST(GNOME_VFS_CFLAGS)
GST_CHECK_CONFIGPROG(GNOME_VFS, gnome-config vfs)
PKG_CHECK_MODULES(GNOME_VFS, gnome-vfs-2.0, HAVE_GNOME_VFS="yes", HAVE_GNOME_VFS="no")
AC_SUBST(GNOME_VFS_CFLAGS)
AC_SUBST(GNOME_VFS_LIBS)
])
dnl *** gsm ***
......
......@@ -17,6 +17,7 @@ Prefix: %prefix
Requires: libxml2 >= 2.4.0
Requires: gstreamer >= %{ver}
BuildRequires: nasm => 0.90
BuildRequires: gstreamer-devel > 0.3.0
%description
GStreamer is a streaming-media framework, based on graphs of filters which
......@@ -289,9 +290,9 @@ make prefix=$RPM_BUILD_ROOT%{prefix} install
@USE_GNOME_VFS_TRUE@%package -n gstreamer-gnomevfs
@USE_GNOME_VFS_TRUE@Summary: GStreamer plugins for GNOME VFS input and output
@USE_GNOME_VFS_TRUE@Group: Libraries/Multimedia
@USE_GNOME_VFS_TRUE@Requires: gnome-vfs2 > 1.9.4.90
@USE_GNOME_VFS_TRUE@Requires: gnome-vfs2 > 1.9.4.00
@USE_GNOME_VFS_TRUE@Requires: gstreamer >= %{ver}
@USE_GNOME_VFS_TRUE@BuildRequires: gnome-vfs2-devel > 1.9.4.90
@USE_GNOME_VFS_TRUE@BuildRequires: gnome-vfs2-devel > 1.9.4.00
@USE_GNOME_VFS_TRUE@
@USE_GNOME_VFS_TRUE@%description -n gstreamer-gnomevfs
@USE_GNOME_VFS_TRUE@Plugins for reading and writing through GNOME VFS.
......@@ -768,7 +769,6 @@ Various plugins for visual effects to use with audio. Included are Smoothwave, S
%post -n gstreamer-visualisation
%{prefix}/bin/gst-register --gst-mask=0
<<<<<<< gst-plugins.spec.in
@USE_LIBMMX_TRUE@%package -n gstreamer-jpegmmx
@USE_LIBMMX_TRUE@Summary: Gstreamer mjpegtools
@USE_LIBMMX_TRUE@Group: Libraries/Multimedia
......@@ -784,8 +784,6 @@ Various plugins for visual effects to use with audio. Included are Smoothwave, S
@USE_LIBMMX_TRUE@%post -n gstreamer-jpegmmx
@USE_LIBMMX_TRUE@%{prefix}/bin/gst-register --gst-mask=0
=======
>>>>>>> 1.34
%package -n gstreamer-plugin-libs
Summary: GStreamer support libraries
Group: Libraries/Multimedia
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment